<template>
    <v-row >
        <Blog-card v-for="blog in blogs" :key="blog.id" :blog="blog"/>
        <template v-if="page != 1">
            <router-link
                :to="{ name: 'BlogList', query: { page: page - 1 } }"
                rel="prev"
            >Prev Page</router-link
            >
            <span v-if="hasNextPage">&nbsp;|&nbsp;</span>
        </template>
        <template v-if="hasNextPage">
            <router-link :to="{ name: 'BlogList', query: { page: page + 1 } }"
            >Next Page</router-link>
        </template>
    </v-row>
    <!--<p v-else>loading event ...</p>-->
</template>

<script>
import BlogCard from '@/components/BlogCard.vue'
import {mapState} from 'vuex'


export default {
    components: {
        BlogCard
    },
    data(){
        return {
            isLoading: true
        }
    },
    created() {
        this.perPage =3
        this.$store.dispatch('settings/fetchBlogs', {
            perPage: this.perPage,
            page:this.page
        })
    },
    computed: {
        page() {
            return parseInt(this.$route.query.page || 1)
        },
        hasNextPage() {
            return this.eventsTotal > this.page * this.perPage
        },
        ...mapState({
            blogs : state => state.settings.blogs
        })
    }
};

</script>

<style lang="scss" scoped></style>
